org.apache.ignite.igfs

## Class IgfsDirectoryNotEmptyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException
          - - org.apache.ignite.igfs.IgfsDirectoryNotEmptyException

All Implemented Interfaces:
  Serializable

    public class IgfsDirectoryNotEmptyException
    extends IgfsException

Exception indicating that directory can not be deleted because it is not empty.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsDirectoryNotEmptyException(String msg)` Constructor.
`IgfsDirectoryNotEmptyException(String msg, Throwable cause)` Constructor.
`IgfsDirectoryNotEmptyException(Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsDirectoryNotEmptyException

    public IgfsDirectoryNotEmptyException(String msg)

Constructor.

Parameters:
  `msg` - Message.

#### IgfsDirectoryNotEmptyException

    public IgfsDirectoryNotEmptyException(Throwable cause)

Constructor.

Parameters:
  `cause` - Cause.

#### IgfsDirectoryNotEmptyException

    public IgfsDirectoryNotEmptyException(@Nullable
                                  String msg,
                                  @Nullable
                                  Throwable cause)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015